function rArray(options = {}) {

    if (!options.array) throw new TypeError("Couldn't randomise your Array! You must specify an array in order to randomize your array (array: array variable).")

    let randomizer = Math.floor(Math.random * options.array.length);
    let output = options.array[randomizer];

    return output;

}

function rString(options = {}) {

    if (!options.length) throw new TypeError("Couldn't randomize your String! You must specify the length of your string (length: 100).")

    let letters = options.customLetters || ['0','1','2','3','4','5','6','7','8','9','a','A','b','B','c','C','d','D','e','E','f','F','g','G','h','H','i','I','j','J','f','F','l','L','m','M','n','N','o','O','p','P','q','Q','r','R','s','S','t','T','u','U','v','V','w','W','x','X','y','Y','z','Z',];
    let output = '';

    for (let i = 0; i < options.length; i++) {
        let randomizer = Math.floor(Math.random() * letters.length);
        output += letters[randomizer]
    }

    return output;

}

module.exports = { rArray, rString }